Transactions history

This endpoint returns a list of all finalized transactions. Offers various filtering options.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

JSON Array of Query Params

markets
array of strings

Array of markets.

rateFrom
float

Minimal rate value.

rateTo
float

Maximal rate value.

fromTime
date-time

Unix timestamp to start fetching operations from

toTime
date-time

Unix timestamp to end fetching operations

userAction
string

User role on finished transaction: buy / sell.

nextPageCursor
string

Pointer for starting page. Value of initial pointer is: start

📘

All parameters must be sent by query in JSON format.
Use nextPageCursor parameter to go through pages. If requested parameter will be the same as received, it means that you have reached the last page.

Response details

KeyTypeDescription
totalRowsintegerTotal records number.
itemsarray
  • id
UUIDTransaction UUID.
  • market
stringMarket symbol for transaction.
  • time
Unix TimestampTime of performed transaction.
  • amount
decimalAmount of cryptocurrency.
  • rate
decimalTransaction price.
  • initializedBy
stringWhich side initiated the transaction: buy / sell.
  • wasTaker
booleanTrue if user was taker.
  • userAction
stringUser role in transaction: buy / sell.
  • offerId
UUIDOrder UUID of performed transaction.
  • commissionValue
decimalValue of charged commission.
queryarrayArrays of requested parameters.
nextPageCursorstringPointer to next page. If requested parameter will be the same as received, it means that you have reached the last page.
Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json